import greenfoot.*;  // imports Actor, World, Greenfoot, GreenfootImage

public class TurtleWorld extends World
{
    /**
     * Create the turtle world. Our world has a size 
     * of 560x460 cells, where every cell is just 1 pixel.
     */
    public TurtleWorld() 
    {
        super(850, 850, 1);

        prepare();
    }

    
//Pause option
   /* private boolean readPause = true;  
    public boolean isPaused = false;  
      
    public void act()  
    {  
        if(!readPause && !Greenfoot.isKeyDown("p"))  
            readPause = true;  
        if(Greenfoot.isKeyDown("p") && readPause)  
        {  
            if(isPaused) isPaused = false;  
            else         isPaused = true;  
            readPause = false;  
        }  
    }
   */   
      

    
    
    
    //Plays and loops music
    private GreenfootSound music = new GreenfootSound("Rooks.mp3");

    public void started()
    {
        music.playLoop();
    }

    public void stopped()  
    {  
        music.stop();  
    }

    // private void prepare()
    // {
    //     Counter counter = new Counter();
    //     addObject(counter, 20, 20);
    //     
    //     Small small = newCounter;
    //}

    /**
     * Prepare the world for the start of the program. That is: create the initial
     * objects and add them to the world.
     */
    private void prepare()
    {
        lobster lobster = new lobster();
        addObject(lobster, 57, 424);
        fishy fishy = new fishy();
        addObject(fishy, 216, 429);
        Fishz fishz = new Fishz();
        addObject(fishz, 225, 184);
        Fishz fishz2 = new Fishz();
        addObject(fishz2, 215, 732);
        Fishz fishz3 = new Fishz();
        addObject(fishz3, 54, 203);
        Fishz fishz4 = new Fishz();
        addObject(fishz4, 62, 737);
        Small small = new Small();
        addObject(small, 512, 426);
        Small small2 = new Small();
        addObject(small2, 560, 366);
        Small small3 = new Small();
        addObject(small3, 669, 293);
        Small small4 = new Small();
        addObject(small4, 753, 223);
        Small small5 = new Small();
        addObject(small5, 585, 491);
        Small small6 = new Small();
        addObject(small6, 660, 531);
        Small small7 = new Small();
        addObject(small7, 736, 593);
        Small small8 = new Small();
        addObject(small8, 633, 654);
        Small small9 = new Small();
        addObject(small9, 717, 756);
        Small small10 = new Small();
        addObject(small10, 653, 227);
        Small small11 = new Small();
        addObject(small11, 732, 130);
        Small small12 = new Small();
        addObject(small12, 739, 412);
        Small small13 = new Small();
        addObject(small13, 597, 160);
        Small small14 = new Small();
        addObject(small14, 531, 611);
        Small small15 = new Small();
        addObject(small15, 581, 774);
        lobster.setLocation(86, 477);
        removeObject(lobster);
        fishz3.setLocation(78, 290);
        fishz4.setLocation(92, 559);
        small15.setLocation(63, 808);
        small11.setLocation(87, 151);
        small13.setLocation(421, 253);
        small10.setLocation(628, 160);
        small3.setLocation(307, 590);
        small14.setLocation(519, 612);
        small14.setLocation(467, 749);
        small.setLocation(644, 284);
        small5.setLocation(519, 535);
        small6.setLocation(410, 420);
        small7.setLocation(88, 461);
        small9.setLocation(764, 780);
        small8.setLocation(669, 715);
        small.setLocation(692, 539);
        Fishz fishz5 = new Fishz();
        addObject(fishz5, 645, 435);
    }
}